%define sendmaildir ../sendmail-8.12.11
Name:		MailCorral
Version:	1.1.3
Release:	9
Summary:	MIME defanger mail filter for Sendmail
License:	GPL
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-sh
Source2:	%{name}-cron
Source3:	%{name}-logrotate
Source4:	%{name}.cf
Patch0:		%{name}-1.1.3-OOoOggPng.patch
Patch1:		%{name}-1.1.3-ms.patch
Patch2:		%{name}-1.1.3-rh.patch
Patch3:		%{name}-1.1.3-nohtml.patch
Group:		System Environment/Daemons
URL:		http://www.bsmdevelopment.com/MailCorral/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gzip sed libtool autoconf
BuildRequires:	sendmail-devel cyrus-sasl-devel
Requires:	sendmail

%description 
The MailCorral sendmail filter is a robust virus/spam filter program that runs
as part of sendmail (using the milter interface) to filter out viruses and spam
from all mail delivered on the site running sendmail. The filter handles all
currently known-malicious attachments plus attached and inline HTML (the latest
trick for launching virus payloads).


%prep
%setup
%patch0 -p1 -b .OOoOggPng
%patch1 -p1 -b .ms
%patch2 -p1 -b .rh
%patch3 -p1 -b .nohtml


%build
./configure	--prefix=/ \
		--with-sendmail=%{sendmaildir}
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_initrddir}/
mkdir -p %{buildroot}%{_sysconfdir}/mail/
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily/
mkdir -p %{buildroot}%{_sbindir}/
mkdir -p %{buildroot}%{_localstatedir}/run/%{name}/
mkdir -p %{buildroot}%{_localstatedir}/spool/%{name}/
mkdir -p %{buildroot}%{_localstatedir}/log/%{name}/

install %{SOURCE1} %{buildroot}%{_initrddir}/mailcorral
install %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/mailcorral
install %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/mailcorral
install %{SOURCE4} %{buildroot}%{_sysconfdir}/mail/MailCorral.cf

install sendmailfilter %{buildroot}%{_sbindir}/mailcorral


%pre


%post
/sbin/chkconfig --add mailcorral


%preun
if [ $1 = 0 ]; then
	service mailcorral stop > /dev/null 2>&1
	/sbin/chkconfig --del mailcorral
fi


%postun
if [ $1 = 0 ] ; then
	rm -rf %{_localstatedir}/run/MailCorral/
fi
if [ "$1" -ge "1" ]; then
	service mailcorral condrestart > /dev/null 2>&1
fi


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc COPYING Doc_MailCorral.pdf readme
%attr(0755,root,root) %{_initrddir}/mailcorral
%attr(0755,root,root) %{_sysconfdir}/cron.daily/mailcorral
%{_sysconfdir}/logrotate.d/mailcorral
%config %{_sysconfdir}/mail/MailCorral.cf
%attr(0755,root,root) %{_sbindir}/mailcorral
%attr(0755,mail,mail) %{_localstatedir}/run/%{name}/
%attr(0755,mail,mail) %{_localstatedir}/spool/%{name}/
%dir %attr(0755,mail,mail) %{_localstatedir}/log/%{name}/


%changelog
* Tue Jun 29 2004 Petr Kritof <Petr|Kristof_CZ> 1.1.3-9
- No HTML warning patch reworked

* Mon Jun 14 2004 Petr Kritof <Petr|Kristof_CZ> 1.1.3-8
- Fix cron script
- Rebuild on FC-2

* Sun Mar 7 2004 Petr Kritof <Petr|Kristof_CZ> 1.1.3-7
- Fix docs permissions

* Sun Jan 11 2004 Petr Kritof <Petr|Kristof_CZ>
- Add patch for Png

* Sun Nov 23 2003 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on FC-1

* Thu Jul 10 2003 Petr Kritof <Petr|Kristof_CZ>
- Update to 1.1.3
- Add patches for OOo, Ogg

* Mon Mar 31 2003 Petr Kritof <Petr|Kristof_CZ>
- Update to 1.1.0
- Fixed post, preun, postun scripts

* Tue Feb 4 2003 Petr Kritof <Petr|Kristof_CZ>
- Fixed init.d script
- Rebuild on RH-8.0

* Sun Jan 26 2003 Petr Kritof <Petr|Kristof_CZ>
- Update to 1.0.15
- Patch to remove 'HTML-embeded' warnings

* Thu Jan 9 2003 Petr Kritof <Petr|Kristof_CZ>
- Update to 1.0.14
- Changed config file name

* Sun Oct 13 2002 Petr Kritof <Petr|Kristof_CZ>
- Update to 1.0.11

* Sun Sep 1 2002 Petr Kritof <Petr|Kristof_CZ>
- Update to 1.0.6
- Add sysconfig file

* Fri Aug 23 2002 Petr Kritof <Petr|Kristof_CZ>
- Update to 1.0.5

* Sun Aug 18 2002 Petr Kritof <Petr|Kristof_CZ>
- Initial RPM package for RH-7.3

